using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.Rds
{
    public class RdsMessage
    {
        public int SiteAddress { get; set; }
        public int EncoderAddress { get; set; }
        public byte SequenceNumber { get; set; }

        public RdsMessageAttribute MessageAttribute
        {
            get
            {
                Type type = this.GetType();
                object[] customAttributes = type.GetCustomAttributes(typeof(RdsMessageAttribute),false);
                if (customAttributes.Length == 0)
                    return null;
                else
                    return (RdsMessageAttribute)customAttributes[0];
            }
        }
    }
}
